<script setup lang="ts">
import { ref } from "vue";
import {
  mdiWeatherSunny,
  mdiWeatherNight,
  mdiSilverwareForkKnife,
  mdiTableChair,
  mdiPotSteam,
  mdiRice,
  mdiReceiptTextCheckOutline,
  mdiArchiveClockOutline,
  mdiAccount,
  mdiFish,
  mdiFood,
  mdiTable,
} from "@mdi/js";
import { useLoginStore } from "@/stores/login";
const loginStore = useLoginStore();
const theme = ref("light");

function onClick() {
  theme.value = theme.value === "light" ? "dark" : "light";
}
const logout = () => {
  loginStore.logout();
};
</script>

<template>
  <v-app :theme="theme">
    <v-app-bar>
      <v-spacer></v-spacer>

      <v-btn
        :prepend-icon="theme === 'light' ? mdiWeatherSunny : mdiWeatherNight"
        @click="onClick"
        >Toggle Theme</v-btn
      >
      <v-btn @click="logout">Logout</v-btn>
    </v-app-bar>
    <v-navigation-drawer expand-on-hover rail permanent>
      <v-list>
        <v-list-item
          prepend-avatar="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRODZob7ROpqlx8WXwjueNwTOlC6Qum-yMiyfXiFRXkdhkHgybCpdvM1UpaXCL1ycfO8NI&usqp=CAU"
          :title="loginStore.loginName"
          subtitle="xxxx xxxx"
        ></v-list-item>
      </v-list>
      <v-divider></v-divider>
      <v-list density="compact" nav>
        <v-list-item
          :prepend-icon="mdiTableChair"
          title="Check Table"
          value="checkTable"
          to="/check-table"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiSilverwareForkKnife"
          title="Ordering"
          value="Ordering"
          to="/Ordering"
        ></v-list-item>
        <!-- <v-list-item
          :prepend-icon="mdiCart"
          title="Cart"
          value="cart"
          to="/cart"
        ></v-list-item> -->
        <v-list-item
          :prepend-icon="mdiPotSteam"
          title="Preparing Order"
          value="reparingOrder"
          to="/preparing-order"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiRice"
          title="Serving"
          value="serving"
          to="/Serving"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiReceiptTextCheckOutline"
          title="Check Bill"
          value="checkBill"
          to="/check-bill"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiArchiveClockOutline"
          title="Cleaning Queue"
          value="cleaningQueue"
          to="/cleaning-queue"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiAccount"
          title="Employee"
          value="employee"
          to="/employee"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiFish"
          title="Stock"
          value="stock"
          to="/Stock"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiFood"
          title="Product"
          value="product"
          to="/product"
        ></v-list-item>
        <v-list-item
          :prepend-icon="mdiTable"
          title="ManageTable"
          value="managetable"
          to="/managetable"
        ></v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-main>
      <v-container>
        <router-view></router-view>
      </v-container>
    </v-main>
  </v-app>
</template>
